Get Single Tape Device
Product version: 10.11
Last modified: 31 July 2024
Gets a tape device by its ID.
Endpoint
https://<Director_IP_address>:4443/c/router
Tenant Endpoint
For tenants of the multi-tenant product the endpoint must be:https://<Director_IP_address>:4443/t/<tenant_UUID>/c/router
Request Example
curl --request POST \
--url https://<Director_IP_address>:4443/c/router \
--header "content-type: application/json" \
--cookie cookies.txt \
--data '{
"action": "TapeDeviceManagement",
"method": "getDeviceInfo",
"data": [1],
"type": "rpc",
"tid": 1}'
Request Fields
|
Field
|
Type
|
Value(s)
|
|---|---|---|
action
|
string |
|
method
|
string |
|
data
|
array |
ID of the tape device |
type
|
string | rpc
|
tid
|
int | 1 |
Response Sample
{
"action": "TapeDeviceManagement",
"method": "getDeviceInfo",
"tid": "1",
"type": "rpc",
"message": null,
"where": null,
"cause": null,
"data": {
"alertDescription": null,
"alertErrorCode": null,
"alertTitle": null,
"attached": true,
"blockSize": 262144,
"changeStatus": "NONE",
"changers": null,
"compression": "HARDWARE_BASED",
"deviceName": "HP-Compag-5000",
"driveCount": 2,
"drives": null,
"freeCapacity": null,
"id": 3,
"locationId": 1,
"locationName": "My office",
"lockReasons": [],
"lockedExclusive": false,
"lockedShared": false,
"mediaPoolId": null,
"mediaPoolName": null,
"name": "VTl",
"offlineLocationId": 1,
"offlineLocationName": "My office",
"operationStart": null,
"operationStartRelative": 0,
"path": "library_2",
"preventModification": false,
"progress": 0,
"slotCount": 11,
"state": "OK",
"status": "NONE",
"tapeCartridgeCount": 4,
"tapeCartridgeId": 0,
"tapeCartridgeName": null,
"transporterId": 1,
"transporterName": "1.1.1.1",
"type": "TAPE_LIBRARY",
"updateChangers": false,
"updateDrives": false,
"uuid": "67453fce-e58d-4ed1-a926-65b8ff16202",
"vid": "TAPE_LIBRARY-3",
"wasCreated": false,
"wasDiscoveredOnce": true,
"wasEdited": false
}
}
Response Fields
|
Field
|
Value
|
Description
|
|---|---|---|
message
|
string | Message if the request failed |
where
|
string | Reference to the method where the problem occurred |
cause
|
string | Cause of failure |
data
|
Json | Tape device parameters. See the data table below |
data
|
Field |
Value |
Description |
|---|---|---|
|
|
|
The error code of the alert (if any) |
|
|
string |
The description of the alert (if any) |
|
|
string |
The title of the alert (if any) |
|
|
boolean |
Checks if the tape device is attached |
|
|
int |
Block size of the current tape device |
|
|
string |
Change status. Possible values: |
|
|
Json |
Media changers of the tape library |
|
|
string |
Compression type |
|
|
string |
Tape device name |
|
|
int |
Number of tape library drives |
|
|
Json |
Tape drives of the tape library |
|
|
|
Free capacity of the tape device |
|
|
|
Tape device ID |
|
|
int |
ID of the location of tape device |
|
|
string |
Name of the location of tape device |
|
|
int |
ID of the media pool of tape device |
|
|
string |
Name of the media pool of tape device |
|
|
array |
Lock reasons |
|
|
boolean |
|
|
|
boolean |
|
|
|
string |
Tape device name |
|
|
int |
ID of the location for tapes ejected from this tape device |
|
|
string |
Name of the location for tapes ejected from this tape device |
|
|
string |
Timestamp of the beginning of the current operation |
|
|
|
Relative timestamp (e.g. time since start) of the beginning of the current operation |
|
|
string |
Path to the tape device |
|
|
boolean |
If |
|
|
int |
Progress of the current operation |
|
|
int |
Number of tape library slots |
|
|
string |
Tape device state |
|
|
string |
Status of the current operation on the tape device. |
|
|
int |
Number of tape device cartridges |
|
|
|
Tape cartridge ID |
|
|
string |
Tape cartridge name |
|
|
|
Assigned transporter ID |
|
|
string |
Assigned transporter name |
|
|
string |
Tape device type. Possible values: |
|
|
boolean |
Checks if the changers of tape library were updated |
|
|
boolean |
Checks if the drives of tape library were updated |
|
|
string |
Tape device UUID |
|
|
string |
Tape device VID |
|
|
boolean |
Checks if the tape device was created |
|
|
boolean |
Checks if the tape device was discovered once |
|
|
boolean |
Checks if the tape device was edited |